curl --request PATCH \
--url https://api-sandbox.rinne.com.br/core/v1/users/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "John",
"last_name": "Doe",
"roles": [
"admin",
"user"
],
"metadata": {
"department": "Engineering",
"level": "Senior"
}
}
'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/users/{userId}"
payload = {
"first_name": "John",
"last_name": "Doe",
"roles": ["admin", "user"],
"metadata": {
"department": "Engineering",
"level": "Senior"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'John',
last_name: 'Doe',
roles: ['admin', 'user'],
metadata: {department: 'Engineering', level: 'Senior'}
})
};
fetch('https://api-sandbox.rinne.com.br/core/v1/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "user123",
"identifiers": [
{
"id": "id1",
"type": "email",
"value": "[email protected]",
"verified": true,
"created_at": "2024-01-01T00:00:00.000Z",
"verified_at": "2024-01-01T01:00:00.000Z"
}
],
"primary_identifier": {
"id": "id1",
"type": "email",
"value": "[email protected]",
"verified": true,
"created_at": "2024-01-01T00:00:00.000Z",
"verified_at": "2024-01-01T01:00:00.000Z"
},
"auth_methods": [
"password"
],
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z",
"roles": [
{
"id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"name": "admin",
"permissions": [
"user.create",
"user.read",
"role.create"
],
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z",
"description": "Administrator role with full access",
"company_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"organization_id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2794"
}
],
"first_name": "John",
"last_name": "Doe",
"suspended_at": "2024-01-01T00:00:00.000Z",
"metadata": "<unknown>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Update user information
Updates user information such as first name, last name, roles and metadata. Requires the user.edit permission.
Authorizations
JWT token for user authentication
Path Parameters
User ID to update
Body
User's first name
"John"
User's last name
"Doe"
Array of role names in the current company context. Providing this field replaces all existing roles; pass [] to remove all roles; omit to keep roles unchanged.
["admin", "user"]
Additional user metadata
{
"department": "Engineering",
"level": "Senior"
}
Response
User updated successfully
User ID
"user123"
User identifiers (email/phone)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available authentication methods
password, google, client_platform ["password"]
User creation timestamp
"2024-01-01T00:00:00.000Z"
User last update timestamp
"2024-01-01T00:00:00.000Z"
User roles
Show child attributes
Show child attributes
User first name
"John"
User last name
"Doe"
User suspension timestamp
"2024-01-01T00:00:00.000Z"
Additional user metadata

